import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_SearchAssociatedTranscriptsCommand, se_SearchAssociatedTranscriptsCommand, } from "../protocols/Aws_restJson1";
export { $Command };
export class SearchAssociatedTranscriptsCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("LexModelBuildingServiceV2", "SearchAssociatedTranscripts", {})
    .n("LexModelsV2Client", "SearchAssociatedTranscriptsCommand")
    .f(void 0, void 0)
    .ser(se_SearchAssociatedTranscriptsCommand)
    .de(de_SearchAssociatedTranscriptsCommand)
    .build() {
}
